package com.yiboshi.science.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yiboshi.science.base.BaseDAO;
import com.yiboshi.science.entity.AssignCount;
import com.yiboshi.science.entity.ComProject;
import com.yiboshi.science.entity.ComProjectAssign;
import com.yiboshi.science.param.dto.ComProjectAssignDTO;
import com.yiboshi.science.param.dto.ComProjectGroupDTO;
import com.yiboshi.science.param.query.ComProjectAssignQueryVO;

import java.util.List;


public interface ComProjectAssignDAO extends BaseMapper<ComProjectAssign>, BaseDAO<ComProjectAssignQueryVO, ComProjectAssignDTO,ComProjectAssign> {

    List<ComProjectAssignDTO> getAssignExpertList(String projectId);

    ComProjectAssignDTO getAssignExpertById(String id);

    List<AssignCount> getAssignCount(String expertId);

    List<ComProjectGroupDTO> getProjectGroupAssignById(String id, String expertId);

    void updateAssignState(ComProject comProject);
}
